Subject: [hrpc] Draft-HRPC-guidelines

From: Avri <[email-masked]>
Date: Thu, 28 Mar 2019 11:03:44 +0100

Hi,

Apologies for last minute comments, but I was not sure about being able to continue with the research group until just recently.

I think this document is coming along nicely. I especially like the way it is attempting to gather consideration that relate to the various rights as opposed to just concentrating on one or two of the rights.

Some specific comments:  

- I think that perhaps in the abstract or the intro, it should mention that these are considerations are still under test.    You indicate that they are being still being developed but not that they still need test for usefulness and validity. This is an activity I think we still need to develop a methodology for - some rigorous manner of testing and documenting the testing.

- in 3.2.1  &  3.2.2 It seems to indicate that the considerations are not useful for doing an impact analaysis.    I think that when done in a last call review, they do contribute to doing an impact analysis. I think that might be a use we need to verify and test for, but I think it might be worth mentioning.    Though one distinction probably worth making is that use of the considerations while the protocol is in development is a process best done by those involved in the protocol development itself, while an impact analysis done as part of a last call is probably best done by an external observer.    So while I think it should be possible to use the same considerations in both processes, the way it is done and by whom probably varies. 

- in 3.3 you mention that we do not discuss the issue of whether a HR considerations section should be added.    I do not think that is an IRTF task. We should be be developing the considerations and testing them for their use and reasonableness.    Any proposal to make them part of an IETF process should probably be left to some future IETF process.    One of the things we have had an issue with, and some pointed comments on, is crossing into the actual IETF engineering process.

- in 3.3.x, I think it would be good to point to where the HR that are impacted by by the consideration are discussed and explained.    I know this may creates cross references to work that is not yet done, but it seems to just be left unexplained in the current draft.    I think that if the doc says a consideration is useful for, e.g., for the right of political participation or for participation in cultural life ... we should explain why somewhere - not in this doc but in a doc specifically related to the right and considerations pertinent to that right. Also might be worth listing the UDHR    and para reference for each so that they can be looked up by readers.

All in all, I think it is coming out well. thanks for the effort.

Avri